diff -U 3 -H -d -r -N -- src/Fl_Table.cxx src/Fl_Table.cxx
--- src/Fl_Table.cxx	2013-09-25 01:58:24.000000000 +0600
+++ src/Fl_Table.cxx	2013-12-21 10:02:25.078419323 +0600
@@ -804,6 +804,7 @@
               _dragging_x = _event_x;
               ret = 1;
             } else {
+              if(Fl::focus() != this && contains(Fl::focus())){ return 0; } // NOTE (kdiman) : for avoid selection not clicked cells
               // Not resizing? Select the column
               current_col = select_col = C;
               current_row = 0;
@@ -830,6 +831,7 @@
               _dragging_y = _event_y; 
               ret = 1;
             } else {
+              if(Fl::focus() != this && contains(Fl::focus())){ return 0; } // NOTE (kdiman) : for avoid selection not clicked cells
               // Not resizing? Select the row
               current_row = select_row = R;
               current_col = 0;
@@ -896,6 +898,7 @@
         if (_event_button == 1 && 
             _selecting == CONTEXT_CELL &&
             context == CONTEXT_CELL) {
+          if(_event_clicks){ break; } // NOTE (kdiman) : for avoid FL_DRAG for double click
           if (select_row != R || select_col != C) {
             damage_zone(current_row, current_col, select_row, select_col, R, C);
           }
diff -U 3 -H -d -r -N -- src/Fl_Tabs.cxx src/Fl_Tabs.cxx
--- src/Fl_Tabs.cxx	2013-09-25 01:58:24.000000000 +0600
+++ src/Fl_Tabs.cxx	2013-12-21 09:51:00.345448120 +0600
@@ -104,14 +104,24 @@
   int H = h();
   int H2 = y();
   Fl_Widget*const* a = array();
+  
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+  int HT = 0, ls = 0;
+  
   for (int i=children(); i--;) {
     Fl_Widget* o = *a++;
     if (o->y() < y()+H) H = o->y()-y();
     if (o->y()+o->h() > H2) H2 = o->y()+o->h();
+    if(flag_oxy && o->labelsize() > ls){
+     // HACK (kdiman) : for preven growing tab header height we are fixing it with biggest height of child labelsize + 10px
+     ls = o->labelsize();
+     fl_font(o->labelfont(), ls);
+     HT = fl_height()+10;
+    }
   }
   H2 = y()+h()-H2;
-  if (H2 > H) return (H2 <= 0) ? 0 : -H2;
-  else return (H <= 0) ? 0 : H;
+  if (H2 > H) return (H2 <= 0) ? 0 : (flag_oxy?-HT:-H2);
+  else return (H <= 0) ? 0 : (flag_oxy?HT:H);
 }
 
 /**
@@ -457,6 +467,7 @@
   int dy = Fl::box_dy(box());
   char prev_draw_shortcut = fl_draw_shortcut;
   fl_draw_shortcut = 1;
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
 
   Fl_Boxtype bt = (o==push_ &&!sel) ? fl_down(box()) : box();
 
@@ -471,7 +482,7 @@
 
     H += dh;
 
-    Fl_Color c = sel ? selection_color() : o->selection_color();
+    Fl_Color c = sel ? selection_color() : (flag_oxy?fl_color_average(o->selection_color(), FL_BLACK, 0.90):o->selection_color());
 
     draw_box(bt, x1, y() + yofs, W, H + 10 - yofs, c);
 
@@ -485,7 +496,7 @@
     // Restore the original label color...
     o->labelcolor(oc);
 
-    if (Fl::focus() == this && o->visible())
+    if (Fl::focus() == this && o->visible() && !flag_oxy)
       draw_focus(box(), x1, y(), W, H);
 
     fl_pop_clip();
@@ -497,7 +508,7 @@
 
     H += dh;
 
-    Fl_Color c = sel ? selection_color() : o->selection_color();
+    Fl_Color c = sel ? selection_color() : (flag_oxy?fl_color_average(o->selection_color(), FL_BLACK, 0.90):o->selection_color());
 
     draw_box(bt, x1, y() + h() - H - 10, W, H + 10 - yofs, c);
 
@@ -511,7 +522,7 @@
     // Restore the original label color...
     o->labelcolor(oc);
 
-    if (Fl::focus() == this && o->visible())
+    if (Fl::focus() == this && o->visible() && !flag_oxy)
       draw_focus(box(), x1, y() + h() - H, W, H);
 
     fl_pop_clip();
diff -U 3 -H -d -r -N -- src/Fl_Tree.cxx src/Fl_Tree.cxx
--- src/Fl_Tree.cxx	2013-12-16 00:59:02.000000000 +0600
+++ src/Fl_Tree.cxx	2013-12-21 15:01:46.538472621 +0600
@@ -740,9 +740,12 @@
     {
       int xmax = 0;
       fl_font(_prefs.labelfont(), _prefs.labelsize());
+      if (Fl::scheme() && !strcmp(Fl::scheme(), "oxy")){
+       if( _prefs.selectbox() != FL_UP_BOX){ _prefs.selectbox(FL_UP_BOX); }
+      }
       _root->draw(X, Y, W, 				// descend into tree here to draw it
-		  (Fl::focus()==this)?_item_focus:0,	// show focus item ONLY if Fl_Tree has focus
-		  xmax, 1, 1);
+	   (Fl::focus()==this)?_item_focus:0,	// show focus item ONLY if Fl_Tree has focus
+	   xmax, 1, 1);
     }
     fl_pop_clip();
   }  
@@ -812,12 +815,16 @@
       W += _prefs.openicon()->w();
     }
     int Ysave = Y;
-    fl_push_clip(cx,cy,cw,ch);
+    fl_push_clip(cx,cy,_vscroll->visible()?cw-_vscroll->w():cw,ch);
     {
       fl_font(_prefs.labelfont(), _prefs.labelsize());
-      _root->draw(X, Y, W, this,
-		  (Fl::focus()==this)?_item_focus:0,	// show focus item ONLY if Fl_Tree has focus
-		  _prefs);
+      // HACK (kdiman) : If scheme was taken from enveronment (FLTK_SCHEME), then  needs to set style of selectbox. 
+      if (Fl::scheme() && !strcmp(Fl::scheme(), "oxy")){
+       if( _prefs.selectbox() != FL_UP_BOX){ _prefs.selectbox(FL_UP_BOX); }
+      }
+      _root->draw(X, Y, _vscroll->visible()?W-_vscroll->w():W, this,
+          (Fl::focus()==this)?_item_focus:0,    // show focus item ONLY if Fl_Tree has focus
+          _prefs);
     }
     fl_pop_clip();
     
diff -U 3 -H -d -r -N -- src/Fl_Tree_Item.cxx src/Fl_Tree_Item.cxx
--- src/Fl_Tree_Item.cxx	2013-12-16 00:59:02.000000000 +0600
+++ src/Fl_Tree_Item.cxx	2013-12-21 17:24:34.896265698 +0600
@@ -10,6 +10,8 @@
 #include <FL/Fl_Tree_Prefs.H>
 #include <FL/Fl_Tree.H>
 
+#include "fl_oxy.h"
+
 //////////////////////
 // Fl_Tree_Item.cxx
 //////////////////////
@@ -650,6 +652,8 @@
   int H = calc_item_height(prefs);	// height of item
   int H2 = H + prefs.linespacing();	// height of item with line spacing
 
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+
   // Update the xywh of this item
   _xywh[0] = X;
   _xywh[1] = Y;
@@ -736,13 +740,22 @@
     //    'clipped' is an optimization to prevent drawing anything offscreen.
     //
     if ( drawthis ) {						// draw this item at all?
+     int n_bg_x = bg_x, n_bg_w = bg_w;
+     int tree_tix = _tree->_tix;
+     int tree_tiw = _tree->_tiw;
+     int off_x = bg_x-tree_tix; if(off_x < 0){ off_x = 0; }
+     
+     if(flag_oxy && _tree->_hscroll->visible() && (tree_tix > bg_x-off_x)){
+      n_bg_x = tree_tix; n_bg_w = tree_tiw;
+     }
+     
       if ( (_tree->damage() & ~FL_DAMAGE_CHILD) || !render ) {	// non-child damage?
 	// Draw connectors
 	if ( render && prefs.connectorstyle() != FL_TREE_CONNECTOR_NONE ) {
 	  // Horiz connector between center of icon and text
 	  // if this is root, the connector should not dangle in thin air on the left
-	  if (is_root()) draw_horizontal_connector(hconn_x_center, hconn_x2, item_y_center, prefs);
-	  else           draw_horizontal_connector(hconn_x, hconn_x2, item_y_center, prefs);
+	  if (is_root()) draw_horizontal_connector(hconn_x_center, flag_oxy?hconn_x2-5:hconn_x2, item_y_center, prefs);
+	  else           draw_horizontal_connector(hconn_x, flag_oxy?hconn_x2-5:hconn_x2, item_y_center, prefs);
 	  // Small vertical line down to children
 	  if ( has_children() && is_open() )
 	    draw_vertical_connector(hconn_x_center, item_y_center, Y+H2, prefs);
@@ -756,19 +769,26 @@
 	if ( render && has_children() && prefs.showcollapse() ) {
 	  // Draw icon image
 	  if ( is_open() ) {
-	    prefs.closeicon()->draw(icon_x,icon_y);
+	    if (flag_oxy) oxy_arrow(uicon_x-11, icon_y+3, FL_ALIGN_BOTTOM, is_active(), _labelbgcolor == 0xffffffff ? _tree->color() : _labelbgcolor);
+        else prefs.closeicon()->draw(icon_x,icon_y);
 	  } else {
-	    prefs.openicon()->draw(icon_x,icon_y);
+	    if (flag_oxy) oxy_arrow(uicon_x-8, icon_y+1, FL_ALIGN_RIGHT, is_active(), _labelbgcolor == 0xffffffff ? _tree->color() : _labelbgcolor);
+        else prefs.openicon()->draw(icon_x,icon_y);
 	  }
 	}
+	
 	// Background for this item
 	// Draw bg only if different from tree's bg
 	if ( render && (bg != _tree->color() || is_selected()) ) {
 	  if ( is_selected() ) {			// Selected? Use selectbox() style
-	    fl_draw_box(prefs.selectbox(),bg_x,bg_y,bg_w,bg_h,bg);
+	    if(flag_oxy){
+         fl_draw_box(prefs.selectbox(),n_bg_x,bg_y+1,n_bg_w,bg_h,bg);
+        }
+        else { fl_draw_box(prefs.selectbox(),bg_x,bg_y,bg_w,bg_h,bg); }
 	  } else {					// Not Selected? use plain filled rectangle
 	    fl_color(bg);
-	    fl_rectf(bg_x,bg_y,bg_w,bg_h);
+        if(flag_oxy){ fl_rectf(n_bg_x,bg_y,n_bg_w,bg_h); }
+	    else { fl_rectf(bg_x,bg_y,bg_w,bg_h); }
 	  }
 	  if ( widget() ) widget()->damage(FL_DAMAGE_ALL);	// if there's a child widget, we just damaged it
 	}
@@ -776,11 +796,21 @@
 	if ( render && usericon() ) {
 	  // Item has user icon? Use it
 	  int uicon_y = item_y_center - (usericon()->h() >> 1);
-	  usericon()->draw(uicon_x,uicon_y);
+      if(flag_oxy){
+       fl_push_clip(n_bg_x+4, bg_y, n_bg_w-8, bg_h);
+       usericon()->draw(uicon_x+4,uicon_y);
+       fl_pop_clip();
+      }
+      else { usericon()->draw(uicon_x,uicon_y); }
 	} else if ( render && prefs.usericon() ) {
 	  // Prefs has user icon? Use it
 	  int uicon_y = item_y_center - (prefs.usericon()->h() >> 1);
-	  prefs.usericon()->draw(uicon_x,uicon_y);
+      if(flag_oxy){
+       fl_push_clip(n_bg_x+4, bg_y, n_bg_w-8, bg_h);
+       prefs.usericon()->draw(uicon_x+4,uicon_y);
+       fl_pop_clip();
+      }
+      else { prefs.usericon()->draw(uicon_x,uicon_y); }
 	}
 	// Draw label
         if ( _label && 
@@ -794,7 +824,13 @@
 
 	  int lw=0, lh=0;
 	  fl_measure(_label, lw, lh);		// get box around text (including white space)
-	  if ( render ) fl_draw(_label, label_x, label_y);
+	  if ( render ){
+       if(flag_oxy){
+        fl_push_clip(n_bg_x+4, bg_y, n_bg_w-8, bg_h);
+        fl_draw(_label, label_x, label_y);
+        fl_pop_clip();
+       } else { fl_draw(_label, label_x, label_y); }
+      }
 	  ixmax = label_x + lw;			// update max width of drawn item
 	}
       }			// end non-child damage
@@ -812,7 +848,12 @@
            Fl::visible_focus() && 
 	   Fl::focus() == _tree &&
 	   prefs.selectmode() != FL_TREE_SELECT_NONE ) {
-	draw_item_focus(FL_NO_BOX,fg,bg,bg_x+1,bg_y+1,bg_w-1,bg_h-1);
+       if(flag_oxy){
+        draw_item_focus(FL_UP_BOX,fg,bg,n_bg_x,bg_y+1,n_bg_w+1,bg_h+1);
+       }
+       else {
+        draw_item_focus(FL_NO_BOX,fg,bg,bg_x+1,bg_y+1,bg_w-1,bg_h-1);
+       }
       }
     }			// end drawthis
   }			// end clipped
@@ -863,6 +904,7 @@
   int tree_bot = tree_top + tree->h();
   int H = calc_item_height(prefs);	// height of item
   int H2 = H + prefs.linespacing();	// height of item with line spacing
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
 
   // Update the xywh of this item
   _xywh[0] = X;
@@ -960,8 +1002,8 @@
 	if ( prefs.connectorstyle() != FL_TREE_CONNECTOR_NONE ) {
 	  // Horiz connector between center of icon and text
 	  // if this is root, the connector should not dangle in thin air on the left
-	  if (is_root()) draw_horizontal_connector(hconn_x_center, hconn_x2, item_y_center, prefs);
-	  else           draw_horizontal_connector(hconn_x, hconn_x2, item_y_center, prefs);
+	  if (is_root()) draw_horizontal_connector(hconn_x_center, flag_oxy?hconn_x2-5:hconn_x2, item_y_center, prefs);
+      else           draw_horizontal_connector(hconn_x, flag_oxy?hconn_x2-5:hconn_x2, item_y_center, prefs);
 	  // Small vertical line down to children
 	  if ( has_children() && is_open() )
 	    draw_vertical_connector(hconn_x_center, item_y_center, Y+H2, prefs);
@@ -975,9 +1017,11 @@
 	if ( has_children() && prefs.showcollapse() ) {
 	  // Draw icon image
 	  if ( is_open() ) {
-	    prefs.closeicon()->draw(icon_x,icon_y);
+	     if (flag_oxy) oxy_arrow(uicon_x-11, icon_y+3, FL_ALIGN_BOTTOM, is_active(), _labelbgcolor == 0xffffffff ? tree->color() : _labelbgcolor);
+        else prefs.closeicon()->draw(icon_x,icon_y);
 	  } else {
-	    prefs.openicon()->draw(icon_x,icon_y);
+	    if (flag_oxy) oxy_arrow(uicon_x-8, icon_y+2, FL_ALIGN_RIGHT, is_active(), _labelbgcolor == 0xffffffff ? tree->color() : _labelbgcolor);
+        else prefs.openicon()->draw(icon_x,icon_y);
 	  }
 	}
 	// Draw the item
@@ -993,7 +1037,7 @@
 	  // Draw bg only if different from tree's bg
 	  if ( bg != tree->color() || is_selected() ) {
 	    if ( is_selected() ) {			// Selected? Use selectbox() style
-	      fl_draw_box(prefs.selectbox(),bg_x,bg_y,bg_w,bg_h,bg);
+	      fl_draw_box(prefs.selectbox(),bg_x,flag_oxy?bg_y+1:bg_y,bg_w,bg_h,bg);
 	    } else {					// Not Selected? use plain filled rectangle
 	      fl_color(bg);
 	      fl_rectf(bg_x,bg_y,bg_w,bg_h);
@@ -1004,11 +1048,11 @@
 	  if ( usericon() ) {
 	    // Item has user icon? Use it
 	    int uicon_y = item_y_center - (usericon()->h() >> 1);
-	    usericon()->draw(uicon_x,uicon_y);
+	    usericon()->draw(flag_oxy?uicon_x+4:uicon_x,uicon_y);
 	  } else if ( prefs.usericon() ) {
 	    // Prefs has user icon? Use it
 	    int uicon_y = item_y_center - (prefs.usericon()->h() >> 1);
-	    prefs.usericon()->draw(uicon_x,uicon_y);
+	    prefs.usericon()->draw(flag_oxy?uicon_x+4:uicon_x,uicon_y);
 	  }
 	  // Draw label
 #if FLTK_ABI_VERSION >= 10301
@@ -1022,7 +1066,9 @@
 	    fl_color(fg);
 	    fl_font(_labelfont, _labelsize);
 	    int label_y = Y+(H/2)+(_labelsize/2)-fl_descent()/2;
+        fl_push_clip(bg_x+4, bg_y, bg_w-8, bg_h);
 	    fl_draw(_label, label_x, label_y);
+        fl_pop_clip();
 	  }
         }		// end non-custom draw
       }			// end non-child damage
@@ -1037,7 +1083,7 @@
            Fl::visible_focus() && 
 	   Fl::focus() == tree &&
 	   prefs.selectmode() != FL_TREE_SELECT_NONE ) {
-	draw_item_focus(FL_NO_BOX,fg,bg,bg_x+1,bg_y+1,bg_w-1,bg_h-1);
+	draw_item_focus(flag_oxy?FL_UP_BOX:FL_NO_BOX,fg,bg,flag_oxy?bg_x:bg_x+1,bg_y+1,flag_oxy?bg_w+1:bg_w-1,flag_oxy?bg_h+1:bg_h-1);
       }
     }			// end drawthis
   }			// end clipped
diff -U 3 -H -d -r -N -- src/Fl_Tree_Prefs.cxx src/Fl_Tree_Prefs.cxx
--- src/Fl_Tree_Prefs.cxx	2013-11-10 10:33:44.000000000 +0600
+++ src/Fl_Tree_Prefs.cxx	2013-12-21 09:51:00.348448119 +0600
@@ -166,6 +166,8 @@
       _selectbox = _FL_GTK_THIN_UP_BOX;
     } else if ( strcmp(Fl::scheme(), "plastic") == 0 ) {
       _selectbox = _FL_PLASTIC_THIN_UP_BOX;
+    }else if ( strcmp(Fl::scheme(), "oxy") == 0 ) {
+      _selectbox = _FL_OXY_UP_BOX;
     }
   }
 }
diff -U 3 -H -d -r -N -- src/Fl_Widget.cxx src/Fl_Widget.cxx
--- src/Fl_Widget.cxx	2012-05-07 13:18:11.000000000 +0600
+++ src/Fl_Widget.cxx	2013-12-21 09:51:00.349448119 +0600
@@ -177,12 +177,14 @@
 void
 Fl_Widget::draw_focus(Fl_Boxtype B, int X, int Y, int W, int H) const {
   if (!Fl::visible_focus()) return;
+  bool flag_oxy = (Fl::scheme() && !strcmp(Fl::scheme(), "oxy"));
+  if(flag_oxy){ W++; }
   switch (B) {
     case FL_DOWN_BOX:
     case FL_DOWN_FRAME:
     case FL_THIN_DOWN_BOX:
     case FL_THIN_DOWN_FRAME:
-      X ++;
+      if(!flag_oxy){ X ++; }
       Y ++;
     default:
       break;
@@ -193,7 +195,7 @@
 #if defined(USE_X11) || defined(__APPLE_QUARTZ__)
   fl_line_style(FL_DOT);
   fl_rect(X + Fl::box_dx(B), Y + Fl::box_dy(B),
-          W - Fl::box_dw(B) - 1, H - Fl::box_dh(B) - 1);
+           W - Fl::box_dw(B) - 1, H - Fl::box_dh(B) - 1);
   fl_line_style(FL_SOLID);
 #elif defined(WIN32) 
   // Windows 95/98/ME do not implement the dotted line style, so draw
diff -U 3 -H -d -r -N -- src/Fl_get_system_colors.cxx src/Fl_get_system_colors.cxx
--- src/Fl_get_system_colors.cxx	2012-12-09 23:45:24.000000000 +0600
+++ src/Fl_get_system_colors.cxx	2013-12-21 09:51:00.349448119 +0600
@@ -27,6 +27,7 @@
 #include <FL/Fl_Pixmap.H>
 #include <FL/Fl_Tiled_Image.H>
 #include "tile.xpm"
+#include "fl_oxy.h"
 
 #if defined(WIN32) && !defined(__CYGWIN__) && !defined(__WATCOMC__)
 // Visual C++ 2005 incorrectly displays a warning about the use of POSIX APIs
@@ -289,6 +290,7 @@
     if (!fl_ascii_strcasecmp(s, "none") || !fl_ascii_strcasecmp(s, "base") || !*s) s = 0;
     else if (!fl_ascii_strcasecmp(s, "gtk+")) s = strdup("gtk+");
     else if (!fl_ascii_strcasecmp(s, "plastic")) s = strdup("plastic");
+    else if (!fl_ascii_strcasecmp(s, "oxy")) s = strdup("oxy");
     else s = 0;
   }
   if (scheme_) free((void*)scheme_);
@@ -375,6 +377,28 @@
 
     // Use slightly thinner scrollbars...
     Fl::scrollbar_size(15);
+  } else if (scheme_ && !strcmp(scheme_, "oxy")) {
+    // Oxy scheme
+    if (scheme_bg_) {
+      delete scheme_bg_;
+      scheme_bg_ = (Fl_Image *)0;
+    }
+
+    set_boxtype(FL_UP_FRAME,        FL_OXY_UP_FRAME);
+    set_boxtype(FL_DOWN_FRAME,      FL_OXY_DOWN_FRAME);
+    set_boxtype(FL_THIN_UP_FRAME,   FL_OXY_THIN_UP_FRAME);
+    set_boxtype(FL_THIN_DOWN_FRAME, FL_OXY_THIN_DOWN_FRAME);
+
+    set_boxtype(FL_UP_BOX,          FL_OXY_UP_BOX);
+    set_boxtype(FL_DOWN_BOX,        FL_OXY_DOWN_BOX);
+    set_boxtype(FL_THIN_UP_BOX,     FL_OXY_THIN_UP_BOX);
+    set_boxtype(FL_THIN_DOWN_BOX,   FL_OXY_THIN_DOWN_BOX);
+    set_boxtype(_FL_ROUND_UP_BOX,   FL_OXY_ROUND_UP_BOX);
+    set_boxtype(_FL_ROUND_DOWN_BOX, FL_OXY_ROUND_DOWN_BOX);
+
+    // Use slightly thinner scrollbars...
+    Fl::scrollbar_size(15);
+
   } else {
     // Use the standard FLTK look-n-feel...
     if (scheme_bg_) {
diff -U 3 -H -d -r -N -- src/Makefile src/Makefile
--- src/Makefile	2013-04-16 20:02:42.000000000 +0600
+++ src/Makefile	2013-12-21 09:51:00.350448119 +0600
@@ -134,6 +134,11 @@
 	fl_file_dir.cxx \
 	fl_font.cxx \
 	fl_gtk.cxx \
+	fl_oxy.cxx \
+        Fl_Calendar.cxx \
+        Fl_Calendar_Prefs.cxx \
+        Fl_Clock_Input.cxx \
+        Fl_Clock_Spinner.cxx \
 	fl_labeltype.cxx \
 	fl_line_style.cxx \
 	fl_open_uri.cxx \
diff -U 3 -H -d -r -N -- src/fl_boxtype.cxx src/fl_boxtype.cxx
--- src/fl_boxtype.cxx	2011-07-19 10:49:30.000000000 +0600
+++ src/fl_boxtype.cxx	2013-12-21 09:51:00.350448119 +0600
@@ -28,6 +28,7 @@
 #include <FL/Fl.H>
 #include <FL/Fl_Widget.H>
 #include <FL/fl_draw.H>
+#include "fl_oxy.h"
 #include <config.h>
 
 ////////////////////////////////////////////////////////////////
@@ -293,6 +294,18 @@
   {fl_down_box,		1,1,2,2,0}, // _FL_GTK_THIN_ROUND_DOWN_BOX,
   {fl_up_box,		2,2,4,4,0}, // _FL_GTK_ROUND_UP_BOX,
   {fl_down_box,		2,2,4,4,0}, // _FL_GTK_ROUND_DOWN_BOX,
+  {oxy_up_box,		2,2,4,4,0}, // _FL_OXY_UP_BOX,
+  {oxy_down_box,		2,2,4,4,0}, // _FL_OXY_DOWN_BOX,
+  {oxy_up_frame,		2,2,4,4,0}, // _FL_OXY_UP_FRAME,
+  {oxy_down_frame,		2,2,4,4,0}, // _FL_OXY_DOWN_FRAME,
+  {oxy_thin_up_box,		1,1,2,2,0}, // _FL_OXY_THIN_UP_BOX,
+  {oxy_thin_down_box,		1,1,2,2,0}, // _FL_OXY_THIN_DOWN_BOX,
+  {oxy_thin_up_frame,		1,1,2,2,0}, // _FL_OXY_THIN_UP_FRAME,
+  {oxy_thin_down_frame,		1,1,2,2,0}, // _FL_OXY_THIN_DOWN_FRAME,
+  {oxy_round_up_box,		4,4,8,8,0}, // _FL_OXY_ROUND_UP_BOX,
+  {oxy_round_down_box,		4,4,8,8,0}, // _FL_OXY_ROUND_DOWN_BOX,
+  {oxy_button_up_box,		2,2,4,4,0}, // _FL_OXY_BUTTON_UP_BOX,
+  {oxy_button_down_box,		2,2,4,4,0}, // _FL_OXY_BUTTON_DOWN_BOX,
   {fl_up_box,		3,3,6,6,0}, // FL_FREE_BOX+0
   {fl_down_box,		3,3,6,6,0}, // FL_FREE_BOX+1
   {fl_up_box,		3,3,6,6,0}, // FL_FREE_BOX+2
